package fr.iut.pm.movieapplication.model.media.movie

import fr.iut.pm.movieapplication.model.ProductionCompany
import fr.iut.pm.movieapplication.model.ProductionCountry


data class MovieDetails(

    override val posterPath: String,
    override val adult: Boolean,
    override val overview: String,
    override val releaseDate: String,
    override val genreIds : List<Int>,
    override val id: Int,
    override val originalTitle: String,
    override val originalLanguage: String,
    override val title: String?,
    override val backdropPath: String?,
    override val popularity: Double,
    override val voteCount: Int,
    override val video: Boolean?,
    override val voteAverage: Double,
    val mediaType: String,

    val budget: Int?,
    val homePage: String?,
    val productionCompanies: Array<ProductionCompany>?,
    val productionCountries: Array<ProductionCountry>?,
    val revenue: Int?,
    val runtime: Int?,
    val status: String?,
    val tagLine: String?

) : Movie(posterPath,
    adult,
    overview,
    releaseDate,
    genreIds,
    id,
    originalTitle,
    originalLanguage,
    title,
    backdropPath,
    popularity,
    voteCount,
    video,
    voteAverage) {


}