package fr.iut.pm.movieapplication.repository

import android.util.Log
import fr.iut.pm.movieapplication.api.RetrofitInstance
import fr.iut.pm.movieapplication.api.dtos.PopularDTO
import fr.iut.pm.movieapplication.model.media.MediaResult
import fr.iut.pm.movieapplication.utils.MediaResultMapper
import retrofit2.Call
import retrofit2.Callback
import retrofit2.Response

class MediaRepository {

    fun getTrends(callback: (List<MediaResult>) -> Unit) {
        val listMovie : MutableList<MediaResult> = mutableListOf()

        RetrofitInstance.api.getTrending().enqueue(object : Callback<PopularDTO> {
            override fun onResponse(call: Call<PopularDTO>, response: Response<PopularDTO>) {
                if(response.isSuccessful) {
                    Log.d("Response",response.body().toString())
                    val popularDTO = response.body()
                    popularDTO?.results?.forEach {
                        val movie = MediaResultMapper.mapToMediaResult(it)
                        listMovie.add(movie)
                        movie.title?.let { it1 -> Log.d("Movie", it1) }
                    }
                }
                callback(listMovie)
            }

            override fun onFailure(call: Call<PopularDTO>, t: Throwable) {
                Log.d("Error failure", t.printStackTrace().toString())
            }
        })
    }
}